Bug 1415948 - Request for flatpak in epel7
Summary: Request for flatpak in epel7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: flatpak
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1413382 1413376
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 07:55 UTC by Ben Konrath
Modified: 2017-10-08 11:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-08 11:57:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Konrath 2017-01-24 07:55:48 UTC
There's no epel7 component for flatpak so I've made this request against rawhide.

I've managed to build and install flatpak-0.8.1-1.fc26 on CentOS 7.3. Here's how I did it:

* Build and install json-glib-1.2.2-1.fc26. Flatpak doesn't compile with the version included with CentOS / RHEL 7.3 (json-glib-1.0.2-1.el7). I'm not sure how to deal with this since json-glib is included in the base distro which means an updated version shouldn't be included in epel.

* Build and install ostree-2016.15-1.fc26

* Install bubblewrap-0.1.7-1.el7 from epel-testing:
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8533f605ab

* Change minimum kernel version in the flatpak spec to 3.10.0-514.2.2 (the version shipped with CentOS / RHEL 7.3).

I'm able to install and run flatpak apps with the version I've built.

Comment 1 David King 2017-01-24 09:15:17 UTC
I have a COPR for testing:

https://copr.fedorainfracloud.org/coprs/amigadave/flatpak-epel7/

A newer json-glib is not required with the latest flatpak (0.8.1).

Comment 2 Ben Konrath 2017-01-24 09:24:08 UTC
Ok, great. I initially built flatpak 0.8.0 which didn't compile with json-glib-1.0.2-1.el7. I'm looking forward to seeing this in epel.

Comment 3 Fedora End Of Life 2017-02-28 11:02:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Alexander Korsunsky 2017-10-08 11:53:29 UTC
Hi, is there any news on moving this package to EPEL 7? I would quite like to see flatpak support in CentOS.

Also, why is it reported against Fedora 26 instead of Fedora EPEL? Would it be better there?

Comment 5 David King 2017-10-08 11:57:42 UTC
flatpak is now in RHEL7, so will not be added to EPEL7. The COPR that I maintain still has the most recent version (rather than the most recent version from the stable branch, in RHEL).


Note You need to log in before you can comment on or make changes to this bug.